/******************************************************************************
 *                                                                            *
 *  Sleep version 1.0 for Windows                                             *
 *                                                                            *
 *  Written on 2006-03-24 by Radoslaw Sokol (Radoslaw.Sokol@grush.one.pl)     *
 *                                                                            *
 *  This code is GPL-licensed. You may distribute it freely and use it        *
 *  for free for private and commercial purposes. You may modify the source   *
 *  code as long as you publicize the modified sources.                       *
 *                                                                            *
 *****************************************************************************/

#include <stdio.h>
#include <windows.h>

int verbose = FALSE;
int seconds = 0;
int i;

int main(
   int argc,
   char *argv[])
{

   switch (argc) {

   case 2:
      seconds = atoi(argv[1]);
      break;

   case 3:
      if (!strcmp(argv[1], "-v")) {
         seconds = atoi(argv[2]);
         verbose = TRUE;
      } else {
         seconds = atoi(argv[1]);
         verbose = !strcmp(argv[2], "-v");
      }
      break;

   default:
      fprintf(stderr, "Wywolanie programu:\n\n"
                      "sleep n [-v]\n\n"
                      " n - liczba sekund do odczekania\n"
                      "-v - wyswietlanie kropek co sekunde\n");
      return 1;

   }

   if (seconds < 1) {
      fprintf(stderr, "Czas oczekiwania musi miec dlugosc co najmniej jednej sekundy.\n");
      return 2;
   }

   for (i = 0; i < seconds; ++i) {
      Sleep(1000);
      if (verbose) {
         printf(".");
         fflush(stdout);
      }
   }

   return 0;

}

/* EOF */
